{
    template:'${tmpl}',
    data:function(){
        return {
           currentArticle:{},
        }
    },
    watch: {
      '$route' (to, from) {
        console.log("watch---xxxxxxmmmmmmmmmmmmmmxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx");
        this.fetchData();
      }
    },
    mounted:function(){
      /*alert(this.$router.history.current.params.id);*/
      console.log("mounted---xxxxxxmmmmmmmmmmmmmmxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx");
      this.fetchData();
    },
    created:function(){
      console.log("xxxxxxxxxxxxxxxxxxxxyyy");
      this.$store.commit('increment');
      console.log(this.count);
      console.log("xxxxxxxxxxxxxxxxxxxxyyy");
    },
    methods:{
      fetchData(){
        var aid=this.$router.history.current.params.id;
        this.$root.postReq("/web/articleCtl/findById",{id:aid}).then(d=>{
          console.log(d.data);
          if(d && d.status==0){
            this.currentArticle=d.data;
          }
        });
      }
    },
    computed: Vuex.mapState({
      count:state=>state.count
    }),
    vname:"gsb-articledetail"
}
